<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__qspi__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_qspi_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__qspi__t_1a7d4a257b40a90d8df5f2078c333be024" kind="variable" mutable="no" prot="public" static="no">
        <type>SMIF_Type *</type>
        <definition>SMIF_Type* cyhal_qspi_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="514" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="514" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1ac59d6d6a74889f341406e5abafa07625" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_qspi_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="515" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="515" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a1593d196807e7bbf202d9785006c66ba" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_qspi_t::pin_ios[8]</definition>
        <argsstring>[8]</argsstring>
        <name>pin_ios</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="516" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="516" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a69cf396fb94143caf3c17f21e77fe30a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_qspi_t::pin_sclk</definition>
        <argsstring />
        <name>pin_sclk</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="517" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="517" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a09ac9cc8aaeb58965a786f5a02747715" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_qspi_t::pin_ssel[SMIF_CHIP_TOP_SPI_SEL_NR]</definition>
        <argsstring>[SMIF_CHIP_TOP_SPI_SEL_NR]</argsstring>
        <name>pin_ssel</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="518" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="518" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a03a0419ecb43ffc36c7d6f407f49fc9d" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_smif_slave_select_t</type>
        <definition>cy_en_smif_slave_select_t cyhal_qspi_t::slave_select</definition>
        <argsstring />
        <name>slave_select</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="520" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="520" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a28e2c55bdc9721139219fd2bfc7dbd6e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_qspi_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="521" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="521" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a58c5363b600cf045c3594385f107b727" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_qspi_t::is_clock_owned</definition>
        <argsstring />
        <name>is_clock_owned</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="522" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="522" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a32c76b6134b5fcfc5ed7a5bed1ebe93d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_qspi_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="523" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="523" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a701c962e05235ae4d577fd2831df2f1a" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_context_t</type>
        <definition>cy_stc_smif_context_t cyhal_qspi_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="524" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="524" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a9174d14499fb4f0af86ada40d9a6c750" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_smif_data_select_t</type>
        <definition>cy_en_smif_data_select_t cyhal_qspi_t::data_select</definition>
        <argsstring />
        <name>data_select</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="525" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="525" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a6e5636079826219fc50c6eca3d0b42ba" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_qspi_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="526" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="526" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a548bcda97b2206efadd024b69339973a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_qspi_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="527" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="527" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a629d4ffdad4e9a8912cc08cfb8b94f9b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref></type>
        <definition>cyhal_syspm_callback_data_t cyhal_qspi_t::pm_callback</definition>
        <argsstring />
        <name>pm_callback</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="528" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="528" />
      </memberdef>
      <memberdef id="structcyhal__qspi__t_1a5271ef0f6b8a86eaefba25d7880f9f88" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_qspi_t::pm_transition_pending</definition>
        <argsstring />
        <name>pm_transition_pending</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="529" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="529" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>QSPI object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="112">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="109">
        <label>cyhal_qspi_t</label>
        <link refid="structcyhal__qspi__t" />
        <childnode refid="110" relation="usage">
          <edgelabel>pm_callback</edgelabel>
        </childnode>
        <childnode refid="111" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="112" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="110">
        <label>cyhal_syspm_callback_data_t</label>
        <link refid="structcyhal__syspm__callback__data__t" />
      </node>
      <node id="111">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="533" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="512" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="512" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__qspi__t_1a7d4a257b40a90d8df5f2078c333be024" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a548bcda97b2206efadd024b69339973a" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a28e2c55bdc9721139219fd2bfc7dbd6e" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a701c962e05235ae4d577fd2831df2f1a" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>context</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a9174d14499fb4f0af86ada40d9a6c750" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>data_select</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a6e5636079826219fc50c6eca3d0b42ba" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a58c5363b600cf045c3594385f107b727" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>is_clock_owned</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a32c76b6134b5fcfc5ed7a5bed1ebe93d" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>mode</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a1593d196807e7bbf202d9785006c66ba" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>pin_ios</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a69cf396fb94143caf3c17f21e77fe30a" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>pin_sclk</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a09ac9cc8aaeb58965a786f5a02747715" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>pin_ssel</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a629d4ffdad4e9a8912cc08cfb8b94f9b" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>pm_callback</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a5271ef0f6b8a86eaefba25d7880f9f88" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>pm_transition_pending</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1ac59d6d6a74889f341406e5abafa07625" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>resource</name></member>
      <member prot="public" refid="structcyhal__qspi__t_1a03a0419ecb43ffc36c7d6f407f49fc9d" virt="non-virtual"><scope>cyhal_qspi_t</scope><name>slave_select</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>